Resource Center/Network Resource/Hardware SDN Controller Operations
POSTHardware SDN Controller OperationsSince 0.6SynchronousAuth Required
CreateNfvInst
CreateNfvInst
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
nameStringRequiredThe resource name.
nfvInstGroupUuidStringRequiredNo description provided.
descriptionStringOptional. The detailed description of the resource.
zoneUuidStringOptional. The zone UUID.
clusterUuidStringOptional. The cluster UUID.
Responses
Endpoint
POST/zstack/v1/nfvinstgroup/inst
/zstack/v1/nfvinstgroup/inst
Request Example
curl -X POST 'http://{host}/zstack/v1/nfvinstgroup/inst' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","nfvInstGroupUuid":"<nfvInstGroupUuid>","description":"<description>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","hostUuid":"<hostUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "configVersion": 0 } }Change History
This API has no change history records yet.
